Page MenuHomePhabricator

PHP Notice: Undefined index: items from CollectionSuggestTemplate.php
Closed, ResolvedPublic

Description

Error

Request URL: GET /w/index.php?title=Special:Book&bookcmd=suggest
Request ID: XN97BgpAMFQAAFebPGEAAAAN

message
PHP Notice: Undefined index: items
trace
#0 /srv/mediawiki/php-1.34.0-wmf.5/extensions/Collection/templates/CollectionSuggestTemplate.php(102): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.5/extensions/Collection/templates/CollectionSuggestTemplate.php(42): CollectionSuggestTemplate->getMemberList()
#2 /srv/mediawiki/php-1.34.0-wmf.5/includes/skins/QuickTemplate.php(178): CollectionSuggestTemplate->execute()
#3 /srv/mediawiki/php-1.34.0-wmf.5/includes/OutputPage.php(2062): QuickTemplate->getHTML()
#4 /srv/mediawiki/php-1.34.0-wmf.5/extensions/Collection/CollectionSuggest.php(56): OutputPage->addTemplate(CollectionSuggestTemplate)
#5 /srv/mediawiki/php-1.34.0-wmf.5/extensions/Collection/Collection.body.php(334): CollectionSuggest::run()
#6 /srv/mediawiki/php-1.34.0-wmf.5/extensions/Collection/Collection.body.php(295): SpecialCollection->processSuggestCommand()
#7 /srv/mediawiki/php-1.34.0-wmf.5/includes/specialpage/SpecialPage.php(570): SpecialCollection->execute(NULL)
#8 /srv/mediawiki/php-1.34.0-wmf.5/includes/specialpage/SpecialPageFactory.php(575): SpecialPage->run(NULL)
#9 /srv/mediawiki/php-1.34.0-wmf.5/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#10 /srv/mediawiki/php-1.34.0-wmf.5/includes/MediaWiki.php(865): MediaWiki->performRequest()
#11 /srv/mediawiki/php-1.34.0-wmf.5/includes/MediaWiki.php(515): MediaWiki->main()
#12 /srv/mediawiki/php-1.34.0-wmf.5/index.php(42): MediaWiki->run()
#13 /srv/mediawiki/w/index.php(3): include(string)

Impact

Unknown.

Notes

Seems like a similar problem as T189636.

This error has attached to it, another error.

[{exception_id}] {exception_url} ErrorException from line 102 of /srv/mediawiki/php-1.34.0-wmf.4/extensions/Collection/templates/CollectionSuggestTemplate.php
PHP Warning: count(): Parameter must be an array or an object that implements Countable

This is a side-effect from the error being non-fatal. PHP assumes the null value for the unknown variable and continues, which then causes more problems. In this case, it means an array count operation is attempted on something that is not an array.

Event Timeline

Krinkle created this task.May 18 2019, 4:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2019, 4:47 PM

Seen for at least 30 days.

Change 511069 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Collection@master] Prevent Undefined index: items in CollectionSuggestTemplate.php

https://gerrit.wikimedia.org/r/511069

Change 511069 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Prevent Undefined index: items in CollectionSuggestTemplate.php

https://gerrit.wikimedia.org/r/511069

Change 511084 had a related patch set uploaded (by Krinkle; owner: Reedy):
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.5] Prevent Undefined index: items in CollectionSuggestTemplate.php

https://gerrit.wikimedia.org/r/511084

Change 511084 merged by jenkins-bot:
[mediawiki/extensions/Collection@wmf/1.34.0-wmf.5] Prevent Undefined index: items in CollectionSuggestTemplate.php

https://gerrit.wikimedia.org/r/511084

Mentioned in SAL (#wikimedia-operations) [2019-05-18T19:18:20Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.5/extensions/Collection/templates/CollectionSuggestTemplate.php: T223742 / rECOL89bd434a21a7 (duration: 00m 49s)

Krinkle closed this task as Resolved.May 18 2019, 7:46 PM
Krinkle claimed this task.
Krinkle reassigned this task from Krinkle to Reedy.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM